#!/usr/bin/env python3

import os
import platform
import shutil
from cx_Freeze import setup, Executable


if(os.path.exists('./build')):
  shutil.rmtree('./build')


if(platform.system() == 'Linux'):
  # Platform is Linux
  setup(
    executables = [Executable('./main.py')]
    )
else:
  # Platform is Windows
  setup(
    executables = [Executable('./main.py', base = 'Win32GUI')]
    )
